Cannot create windows service

Added by David Gao over 9 years ago

Hello,

This is the first time I am trying to install Redmine. My server is Windows Server 2003 Standard Edition.

I pretty much followed the instructions here at [[http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI_on_Windows_with_Apache]].

The only part I didn't follow the instruction was the installing Ryby & Rails part. I actuall donwloaded the RailsInstaller and install it from there.

However when I tried to create windows service by running the following command:
mongrel_rails service::install -N mongrel_redmine_3001 -D "Mongrel serving Redmine on 3001" -p 3001 -e production -c C:\webserver\Redmine

It says:

C:\webserver\Redmine>mongrel_rails service::install N mongrel_redmine_3001 -D "
Mongrel serving Redmine on 3001" -p 3001 -e production -c C:\webserver\Redmine
C:/webserver/Ruby/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:
36:in `require': 126: The specified module could not be found. - C:/webserver/
Ruby/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/http11.so
(LoadError)
from C:/webserver/Ruby/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/custo
m_require.rb:36:in `require'
from C:/webserver/Ruby/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5

x86-mingw32/lib/mongrel.rb:12:in `<top (required)>'
from C:/webserver/Ruby/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/custo
m_require.rb:36:in `require'
from C:/webserver/Ruby/Ruby1.9.3/lib/ruby/site_ruby/1.9.1/rubygems/custo
m_require.rb:36:in `require'
from C:/webserver/Ruby/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-
x86-mingw32/bin/mongrel_rails:11:in `<top (required)>'
from C:/webserver/Ruby/Ruby1.9.3/bin/mongrel_rails:23:in `load'
from C:/webserver/Ruby/Ruby1.9.3/bin/mongrel_rails:23:in `<main>'

I don't have any knowledge of Ruby/Rails. It seems some default path is wrong so that Ruby cannot load some module.

Can anybody help me here?

Thanks in advance!

David

Replies (3)

RE: Cannot create windows service - Added by Tory Wolf over 9 years ago

Hello,
As I know, mongrel isn't compatible with Ruby > 1.9.1.
You can use another web-server, for example, Thin.

RE: Cannot create windows service - Added by Ivan Cenov over 9 years ago

Tory Wolf wrote:

Hello,
As I know, mongrel isn't compatible with Ruby > 1.9.1.
You can use another web-server, for example, Thin.

or puma (http://puma.io)

RE: Cannot create windows service - Added by Tory Wolf over 9 years ago

or install Ruby 1.9.1 and older

(1-3/3)